Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes

# SeqValue Class Reference

List of all members.

## Public Member Functions
def | __init__
def | __add__
def | __bool__
def | __cmp__
def | __str__
def | loadXml
def | set
def | setFromString
def | setFromTuple
def | storeXml
## Public Attributes
| value

## Detailed Description

    This represents a sequence value read from a contents.xml
    file, either from the <contents> or the <package> section.  It's
    represented as series of dotted integers in the xml file, and
    stored internally as a tuple of integers.

    It may be incremented, which increments only the last integer in
    the series; or it may be compared with another SeqValue, which
    compares all of the integers componentwise.

## Constructor & Destructor Documentation

def __init__ | ( |  | self,
|  |  | value = `None`
| ) |  |

## Member Function Documentation

def __add__ | ( |  | self,
|  |  | inc
| ) |  |

    Increments the seq value, returning the new value.

def __bool__ | ( |  | self | ) |

def __cmp__ | ( |  | self,
|  |  | other
| ) |  |

    Compares to another seq value.

def __str__ | ( |  | self | ) |

def loadXml | ( |  | self,
|  |  | xelement,
|  |  | attribute = `'seq'`
| ) |  |

    Reads the seq from the indicated XML element.  Returns
    true if loaded, false if not given or if there was an
    error.

def set | ( |  | self,
|  |  | value
| ) |  |

    Sets the seq from the indicated value of unspecified
    type.

def setFromString | ( |  | self,
|  |  | value
| ) |  |

    Sets the seq from the indicated string of dot-separated
    integers.  Raises ValueError on error.

def setFromTuple | ( |  | self,
|  |  | value
| ) |  |

    Sets the seq from the indicated tuple of integers.

def storeXml | ( |  | self,
|  |  | xelement,
|  |  | attribute = `'seq'`
| ) |  |

    Adds the seq to the indicated XML element.

## Member Data Documentation

value

All Classes Namespaces Functions Variables Enumerations Enumerator Properties